#include <stdlib.h>
#include <string.h>
#include "RunMove.h"
#include "SgChange.h"

SchedDefineTask(RunMove);

static int
run(SchedTask *smanager, void *rbuf , void *wbuf)
{
    //SceneGraphRoot *sgroot = (SceneGraphRoot *)smanager->get_param(0);    
    SgChange *sgchange = (SgChange *)smanager->get_param(0);
    int width  = (int)smanager->get_param(1);
    int height = (int)smanager->get_param(2);
    SceneGraphRoot *sgroot = sgchange->sgroot_A;
    sgroot->updateControllerState();
    sgroot->oneExecute(width, height);
    sgchange->viewer->light_xyz_stock = sgroot->getLightVector();

    return 0;
}
